#
# Cookbook Name:: ps3mediaserver
# Recipe:: ubuntu
#
# Copyright 2014, Egor Medvedev <methodx@aylium.net>
#

apt_repository 'ps3mediaserver' do
  uri          'http://ppa.launchpad.net/happy-neko/ps3mediaserver/ubuntu'
  distribution "raring"
  components   ['main']
  keyserver    'keyserver.ubuntu.com'
  key          'C7660186'
end

package 'mplayer' do
  action :install
end

package 'ps3mediaserver' do
  action :install
  options "--force-yes"
end

template "/etc/default/ps3mediaserver" do
  source "ps3mediaserver.default.erb"
  mode "0644"
  owner "root"
  variables({
        :daemonize => node['ps3mediaserver']['daemonize'],
        :pms_user => node['ps3mediaserver']['pms_user'],
        :pms_profile => node['ps3mediaserver']['pms_profile'],
        :memory_limit => node['ps3mediaserver']['memory_limit'],
        :java_opts => node['ps3mediaserver']['java_opts'],
        :daemon_opts => node['ps3mediaserver']['daemon_opts']
      })
  action :create
end

template "/home/#{node['ps3mediaserver']['pms_user']}/.config/ps3mediaserver" do
  source "ps3mediaserver.conf.erb"
  mode "0644"
  owner "root"
  variables({
        :name => node['ps3mediaserver']['name'] || false,
        :network_interface => node['ps3mediaserver']['network_interface'] || false,
        :ipaddress => node['ps3mediaserver']['ipaddress'] || false,
        :port => node['ps3mediaserver']['port'] || false,
        :folders => node['ps3mediaserver']['folders'] || false,
        :engines => node['ps3mediaserver']['engines'] || false
      })
  action :create
end

service "ps3mediaserver" do
  action [ :enable, :restart ]
end